DROPDB(1)

NAME
dropdb - remove a PostgreSQL database

SYNOPSIS

dropdb [ option... ] dbname

DESCRIPTION

dropdb destroys an existing PostgreSQL database. The user who executes this command must be a database superuser or the owner of the database.

dropdb is a wrapper around the SQL command DROP DATABASE [drop_database(7)]. There is no effective difference between dropping databases via this utility and via other methods for accessing the server.

OPTIONS

dropdb accepts the following command-line arguments:

dbname
    Specifies the name of the database to be removed.

-e

--echo
    Echo the commands that dropdb generates and sends to the server.

-i

--interactive
    Issues a verification prompt before doing anything destructive.

-q

--quiet
    Do not display a response.

dropdb also accepts the following command-line arguments for connection parameters:

-h host

--host host
    Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

-p port

--port port
    Specifies the TCP port or local Unix domain socket file extension on which the server is listening for connections.

-U username

--username username
    User name to connect as

-W

--password
    Force password prompt.

ENVIRONMENT

PGHOST

PGPORT

PGUSER
    Default connection parameters

DIAGNOSTICS

In case of difficulty, see DROP DATABASE [drop_database(7)] and psql(1) for discussions of potential problems and error messages. The database server must be running at the targeted host. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

EXAMPLES

To destroy the database demo on the default database server:

$ dropdb demo
DROP DATABASE

To destroy the database demo using the server on host eden, port 5000, with verification and a peek at the underlying command:

$ dropdb -p 5000 -h eden -i -e demo
Database "demo" will be permanently deleted.
Are you sure? (y/n) y
DROP DATABASE "demo"
DROP DATABASE

SEE ALSO
createdb(1), DROP DATABASE [drop_database(7)]